$ ( document ).bind ( "mobileinit", function ()
{
	/* cross domain */
	$.mobile.allowCrossDomainPages = true;
	$.support.cors = true;
	/* fix 1px jump */
	$.mobile.defaultHomeScroll = 0;
	/* Setting default page transition to slide */
	$.mobile.defaultPageTransition = 'none';
	$.mobile.defaultDialogTransition = 'none';
	/* FastClick */
	$.mobile.useFastClick = true;
  /* loader */
	$.mobile.loader.prototype.options.html = "<div class='spinner'></div>";
} );

// http://plugins.cordova.io/#/package/com.google.cordova.admob
// select the right Ad Id according to platform
var ad_units = {
	ios: {
		banner: 'ca-app-pub-0578429132177902/1725006038',
		interstitial: 'ca-app-pub-0578429132177902/6155205639'
	},
	android: {
		banner: 'ca-app-pub-0578429132177902/6382851639',
		interstitial: 'ca-app-pub-0578429132177902/7859584832'
	},
	wp8: {
		banner: '',
		interstitial: ''
	}
};
var admobid = {};
if ( /(android)/i.test ( navigator.userAgent ) )
{
	admobid = ad_units.android;
}
else if ( /(iphone|ipad)/i.test ( navigator.userAgent ) )
{
	admobid = ad_units.ios;
}
else
{
	admobid = ad_units.wp8;
}

function checkConnection ()
{
	var networkState = navigator.connection.type;
	/*
	 var states = {};
	 states[Connection.UNKNOWN]  = 'Unknown connection';
	 states[Connection.ETHERNET] = 'Ethernet connection';
	 states[Connection.WIFI]     = 'WiFi connection';
	 states[Connection.CELL_2G]  = 'Cell 2G connection';
	 states[Connection.CELL_3G]  = 'Cell 3G connection';
	 states[Connection.CELL_4G]  = 'Cell 4G connection';
	 states[Connection.CELL]     = 'Cell generic connection';
	 states[Connection.NONE]     = 'No network connection';
	 alert('Connection type: ' + states[networkState]);
	 */
	if ( networkState == 'none' )
	{
		navigator.notification.alert (
		// message
		'Za korišćenje aplikacije je neophodan pristup internetu',
		// callback
		alertDismissed,
		// title
		'Stanje mreže: Offline',
		// buttonName
		'OK'
		);
	}
}
function alertDismissed ()
{
	// do something
}
function onPause ()
{
	// $ ( ':mobile-pagecontainer' ).pagecontainer ( 'change', 'http://www.aladin.info/app/Aladin/index.app.php' );
	setTimeout ( function ()
	             {
		             // clear WebView cache
		             window.cache.clear();
		             // refresh page
		             $ ( ':mobile-pagecontainer' ).pagecontainer ( 'change', window.location.href, { reload: true } );
	             }, 500 );
	/*
	 if ( window.location.href.indexOf ( 'tv.aladin.info' ) > -1 )
	 {
	 setTimeout ( function ()
	 {
	 $ ( ':mobile-pagecontainer' ).pagecontainer ( 'change', 'http://tv.aladin.info/app-index' );
	 }, 500 );
	 }
	 else if ( window.location.href.indexOf ( 'vesti.aladin.info' ) > -1 )
	 {
	 setTimeout ( function ()
	 {
	 $ ( ':mobile-pagecontainer' ).pagecontainer ( 'change', 'http://vesti.aladin.info/app-index' );
	 }, 500 );
	 }
	 else if ( window.location.href.indexOf ( 'vremenska-prognoza' ) > -1 )
	 {
	 setTimeout ( function ()
	 {
	 $ ( ':mobile-pagecontainer' ).pagecontainer ( 'change', 'http://www.aladin.info/vremenska-prognoza/app-index' );
	 }, 500 );
	 }
	 */
}
// Handle the resume event
function onResume ()
{
	setTimeout ( function ()
	             {
		             // clear WebView cache
		             window.cache.clear();
		             // check connection
		             checkConnection ();
	             }, 500 );
}
// Handle the offline event
function onOffline ()
{
	navigator.notification.alert (
	// message
	'Za korišćenje aplikacije je neophodan pristup internetu',
	// callback
	alertDismissed,
	// title
	'Stanje mreže: Offline',
	// buttonName
	'OK'
	);
}
// Handle the back button
var exitApp = false;
var intval = setInterval ( function ()
                           {
	                           exitApp = false;
                           }, 1000 );
function onBackKeyDown ( e )
{
	e.preventDefault ();
	if ( exitApp )
	{
		clearInterval ( intval );
		navigator.app.exitApp ();
		/*
		 if (navigator.app) {
		 navigator.app.exitApp();
		 }
		 else if (navigator.device) {
		 navigator.device.exitApp();
		 }
		 */
	}
	else
	{
		exitApp = true;
		history.back ( 1 );
	}
}